import { jsx } from "react/jsx-runtime";
import { SoccerBallIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SoccerBall = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "SoccerBall", ...props, children: /* @__PURE__ */ jsx(SoccerBallIcon, { weight: variant }) });
  }
);
SoccerBall.displayName = "SoccerBall";
Object.assign(SoccerBall, { isGdsIcon: true });
export {
  SoccerBall
};
